Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.groups
Interface IGroupService

All Known Subinterfaces:
  ILockableGroupService

All Known Implementing Classes:
  ReferenceGroupService, ReferenceIndividualGroupService

    public interface IGroupService

Defines an api for discovering an entry point into the groups system, represented by an `IGroupMember`. This is analogous to getting an `InitialContext` in JNDI. Subsequent requests for navigating or maintaining groups go thru the `IGroupMember`.

Version:
  $Revision: 1.13 $
Author:
  Dan Ellentuck

Method Summary
`void` | `deleteGroup(IEntityGroup group)` Removes the `IEntityGroup` from the store.
`java.util.Iterator` | `findContainingGroups(IGroupMember gm)` Returns the containing groups for the `IGroupMember`
`IEntityGroup` | `findGroup(java.lang.String key)` Returns a pre-existing `IEntityGroup` or null if the `IGroupMember` does not exist.
`java.util.Iterator` | `findMemberGroups(IEntityGroup eg)` Returns the member groups for the `IEntityGroup`
`IEntity` | `getEntity(java.lang.String key, java.lang.Class type)` Returns an `IEntity` representing a portal entity.
`IGroupMember` | `getGroupMember(EntityIdentifier underlyingEntityIdentifier)` Returns an `IGroupMember` representing either a group or a portal entity, based on the `EntityIdentifier`, which refers to the UNDERLYING entity for the `IGroupMember`.
`IGroupMember` | `getGroupMember(java.lang.String key, java.lang.Class type)` Returns an `IGroupMember` representing either a group or a portal entity.
`IEntityGroupStore` | `getGroupStore()` Returns an `IEntityGroupStore`.
`IEntityGroup` | `newGroup(java.lang.Class type)` Returns a new `IEntityGroup` for the given Class with an unused key.
`EntityIdentifier[]` | `searchForEntities(java.lang.String query, int method, java.lang.Class type)` Find EntityIdentifiers for entities whose name matches the query string according to the specified method and is of the specified type
`EntityIdentifier[]` | `searchForEntities(java.lang.String query, int method, java.lang.Class type, IEntityGroup ancestor)` Find EntityIdentifiers for entities whose name matches the query string according to the specified method, is of the specified type and descends from the specified group
`EntityIdentifier[]` | `searchForGroups(java.lang.String query, int method, java.lang.Class leaftype)` Find EntityIdentifiers for groups whose name matches the query string according to the specified method and matches the provided leaf type
`EntityIdentifier[]` | `searchForGroups(java.lang.String query, int method, java.lang.Class leaftype, IEntityGroup ancestor)` Find EntityIdentifiers for groups whose name matches the query string according to the specified method, has the provided leaf type and descends from the specified group
`void` | `updateGroup(IEntityGroup group)` Commits the updated `IEntityGroup` to the store.
`void` | `updateGroupMembers(IEntityGroup group)` Commits the updated `IEntityGroup` to the store.

Method Detail

### findGroup

    IEntityGroup findGroup(java.lang.String key)
                           throws GroupsException

  Returns a pre-existing `IEntityGroup` or null if the `IGroupMember` does not exist.

  Throws:
    `GroupsException`

### getEntity

    IEntity getEntity(java.lang.String key,
                      java.lang.Class type)
                      throws GroupsException

  Returns an `IEntity` representing a portal entity. This does not guarantee that the entity actually exists.

  Throws:
    `GroupsException`

### getGroupMember

    IGroupMember getGroupMember(java.lang.String key,
                                java.lang.Class type)
                                throws GroupsException

  Returns an `IGroupMember` representing either a group or a portal entity. If the parm `type` is the group type, the `IGroupMember` is an `IEntityGroup` else it is an `IEntity`.

  Throws:
    `GroupsException`

### getGroupMember

    IGroupMember getGroupMember(EntityIdentifier underlyingEntityIdentifier)
                                throws GroupsException

  Returns an `IGroupMember` representing either a group or a portal entity, based on the `EntityIdentifier`, which refers to the UNDERLYING entity for the `IGroupMember`.

  Throws:
    `GroupsException`

### newGroup

    IEntityGroup newGroup(java.lang.Class type)
                          throws GroupsException

  Returns a new `IEntityGroup` for the given Class with an unused key.

  Throws:
    `GroupsException`

### getGroupStore

    IEntityGroupStore getGroupStore()
                                    throws GroupsException

  Returns an `IEntityGroupStore`.

  Throws:
    `GroupsException`

### deleteGroup

    void deleteGroup(IEntityGroup group)
                     throws GroupsException

  Removes the `IEntityGroup` from the store.

  Throws:
    `GroupsException`

### updateGroup

    void updateGroup(IEntityGroup group)
                     throws GroupsException

  Commits the updated `IEntityGroup` to the store.

  Throws:
    `GroupsException`

### updateGroupMembers

    void updateGroupMembers(IEntityGroup group)
                            throws GroupsException

  Commits the updated `IEntityGroup` to the store.

  Throws:
    `GroupsException`

### findContainingGroups

    java.util.Iterator findContainingGroups(IGroupMember gm)
                                            throws GroupsException

  Returns the containing groups for the `IGroupMember`

  Parameters:
    `gm` - IGroupMember
  Throws:
    `GroupsException`

### findMemberGroups

    java.util.Iterator findMemberGroups(IEntityGroup eg)
                                        throws GroupsException

  Returns the member groups for the `IEntityGroup`

  Parameters:
    `eg` - IEntityGroup
  Throws:
    `GroupsException`

### searchForGroups

    EntityIdentifier[] searchForGroups(java.lang.String query,
                                       int method,
                                       java.lang.Class leaftype)
                                       throws GroupsException

  Find EntityIdentifiers for groups whose name matches the query string according to the specified method and matches the provided leaf type

  Throws:
    `GroupsException`

### searchForGroups

    EntityIdentifier[] searchForGroups(java.lang.String query,
                                       int method,
                                       java.lang.Class leaftype,
                                       IEntityGroup ancestor)
                                       throws GroupsException

  Find EntityIdentifiers for groups whose name matches the query string according to the specified method, has the provided leaf type and descends from the specified group

  Throws:
    `GroupsException`

### searchForEntities

    EntityIdentifier[] searchForEntities(java.lang.String query,
                                         int method,
                                         java.lang.Class type)
                                         throws GroupsException

  Find EntityIdentifiers for entities whose name matches the query string according to the specified method and is of the specified type

  Throws:
    `GroupsException`

### searchForEntities

    EntityIdentifier[] searchForEntities(java.lang.String query,
                                         int method,
                                         java.lang.Class type,
                                         IEntityGroup ancestor)
                                         throws GroupsException

  Find EntityIdentifiers for entities whose name matches the query string according to the specified method, is of the specified type and descends from the specified group

  Throws:
    `GroupsException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD